.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/* NewPage.js styling */

.nickname-input{
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 14px;
  padding: 10px;
  margin-right: 10px;
  letter-spacing: 1px;
  margin-top: 40px;
  vertical-align: middle;
}

.button-submit{
  outline:none;
  height: 40px;
  text-align: center;
  width: 130px;
  border-radius:40px;
  margin-top: 40px;
  background: #fff;
  border: 2px solid green;
  color:green;
  letter-spacing:1px;
  text-shadow:0;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.25s ease;
  vertical-align: middle;
}
.button-submit:hover{
  color: white;
  background: green;
}
.button-submit:active{
  letter-spacing: 2px;
}


/* Home.js styling */

.container{
  display: flex;
  height: 100vh;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.picture-container{
  height: 800px;
  width: 200px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-size: cover;
  margin-bottom: 20px;
}

.text-container{
  font-size: 36px;
  text-align: center;
}

.checkbox{
  display: flex;
  align-items: center;
}
.checkbox label{
  position: relative;
 cursor: pointer; 
}
.label-checkbox{
  font-size: 18px;
  margin-right: 12px;
}

.button-slijedeci{
  outline:none;
  height: 40px;
  text-align: center;
  width: 130px;
  border-radius:40px;
  background: #fff;
  border: 2px solid green;
  color:green;
  letter-spacing:1px;
  text-shadow:0;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.25s ease;
  vertical-align: middle;
}
.button-slijedeci:hover{
  color: white;
  background: green;
}
.button-slijedeci:active{
  letter-spacing: 2px;
}

.back-home-btn{
  outline:none;
  height: 40px;
  text-align: center;
  width: 130px;
  border-radius:40px;
  background: #fff;
  border: 2px solid green;
  color:green;
  letter-spacing:1px;
  text-shadow:0;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.25s ease;
  vertical-align: middle;
  margin-top: 5px;
  position: absolute;
  top: 10px;
  left: 20px;
}
.back-home-btn:hover{
  color: white;
  background: green;
}
.back-home-btn:active{
  letter-spacing: 2px;
}

/* Rating Table styling */
.table-container{
  overflow: auto;
  max-height: 400px;
}
.rating-table{
  width: 100%;
  border-collapse: collapse;
  margin-bottom: 20px;
  table-layout: fixed;
}
.rating-table th{
  background-color: #007bff;
  color: #fff;
  padding: 10px;
}
.rating-table th:first-child{
  text-align: center;
}
.rating-table th:last-child{
  text-align: center;
}
.rating-table tbody tr{
  border-bottom: 1px solid #ccc;
}
.rating-table td{
  padding: 10px;
}
.rating-table td:first-child{
  margin-right: 20px;
  text-align: center;
}
